> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.moveworks.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.moveworks.com/_mcp/server.

# Get conversation

GET https://api.moveworks.ai/assistant/v1/conversations/{conversation_id}

Retrieves a specific conversation.

Reference: https://docs.moveworks.com/api-reference/conversations-api/deprecated-conversations-api/conversations/get-conversation

## Authentication

- `Authorization` header (bearer token, required) — JWT bearer token authentication. Obtain an access token from the Moveworks auth endpoint and include it in the Authorization header as 'Bearer \<token>'.

## Request

### Path parameters

- `conversation_id` (string, required) — A base-62 identifier prefixed by a short resource type

### Headers

- `Assistant-Name` (string, required) — The Moveworks assistant identifier that was configured for your organization.

## Response

### 200

Conversation retrieved successfully

- `conversation_id` (string, required) — A base-62 identifier prefixed by a short resource type
- `created_at` (datetime, required) — Creation timestamp (ISO 8601)
- `updated_at` (datetime, required) — Last update timestamp (ISO 8601)
- `title` (string, optional) — Optional user-defined title
- `archived` (boolean, optional) — User-controlled flag to mark conversation as archived

## Examples

**Response**

```json
{
  "conversation_id": "conv_32bt7BMLhLyVzTUjfi35N",
  "created_at": "2025-01-20T10:00:00Z",
  "updated_at": "2025-01-20T10:05:00Z",
  "title": "User permissions discussion"
}
```

**SDK Code**

```python Conversations_getConversation_example
import requests

url = "https://api.moveworks.ai/assistant/v1/conversations/conv_32bt7BMLhLyVzTUjfi35N"

headers = {
    "Assistant-Name": "acmecorp-conversations-rest-api",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Conversations_getConversation_example
const url = 'https://api.moveworks.ai/assistant/v1/conversations/conv_32bt7BMLhLyVzTUjfi35N';
const options = {
  method: 'GET',
  headers: {
    'Assistant-Name': 'acmecorp-conversations-rest-api',
    Authorization: 'Bearer <token>'
  }
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Conversations_getConversation_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.moveworks.ai/assistant/v1/conversations/conv_32bt7BMLhLyVzTUjfi35N"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Assistant-Name", "acmecorp-conversations-rest-api")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Conversations_getConversation_example
require 'uri'
require 'net/http'

url = URI("https://api.moveworks.ai/assistant/v1/conversations/conv_32bt7BMLhLyVzTUjfi35N")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Assistant-Name"] = 'acmecorp-conversations-rest-api'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Conversations_getConversation_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.moveworks.ai/assistant/v1/conversations/conv_32bt7BMLhLyVzTUjfi35N")
  .header("Assistant-Name", "acmecorp-conversations-rest-api")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Conversations_getConversation_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.moveworks.ai/assistant/v1/conversations/conv_32bt7BMLhLyVzTUjfi35N', [
  'headers' => [
    'Assistant-Name' => 'acmecorp-conversations-rest-api',
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Conversations_getConversation_example
using RestSharp;

var client = new RestClient("https://api.moveworks.ai/assistant/v1/conversations/conv_32bt7BMLhLyVzTUjfi35N");
var request = new RestRequest(Method.GET);
request.AddHeader("Assistant-Name", "acmecorp-conversations-rest-api");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Conversations_getConversation_example
import Foundation

let headers = [
  "Assistant-Name": "acmecorp-conversations-rest-api",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.moveworks.ai/assistant/v1/conversations/conv_32bt7BMLhLyVzTUjfi35N")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```